%define upstream_name    CSS-Minifier-XS
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    XS based CSS minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::DiagINC) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl-devel
%{?perl_default_filter}

%description
'CSS::Minifier::XS' is a CSS "minifier"; its designed to remove
un-necessary whitespace and comments from CSS files, while also *not*
breaking the CSS.

'CSS::Minifier::XS' is similar in function to 'CSS::Minifier', but is
substantially faster as its written in XS and not just pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Sun Nov 26 2023 tv <tv> 0.130.0-5.mga10
+ Revision: 2009909
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.130.0-4.mga9
+ Revision: 1861722
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.130.0-3.mga9
+ Revision: 1795619
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.130.0-2.mga9
+ Revision: 1726497
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 0.130.0-1.mga9
+ Revision: 1691079
- update to 0.13

* Sat Jan 02 2021 tv <tv> 0.110.0-1.mga8
+ Revision: 1668193
- update to 0.11

* Tue Dec 29 2020 tv <tv> 0.100.0-1.mga8
+ Revision: 1664670
- update to 0.10

* Wed Jun 17 2020 umeabot <umeabot> 0.90.0-16.mga8
+ Revision: 1594391
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.90.0-15.mga8
+ Revision: 1529444
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.90.0-14.mga8
+ Revision: 1433467
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-13.mga7
+ Revision: 1292376
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.90.0-12.mga7
+ Revision: 1248996
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.90.0-11.mga7
+ Revision: 1163735
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.90.0-10.mga7
+ Revision: 1148922
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-9.mga7
+ Revision: 1127575
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.90.0-8.mga6
+ Revision: 1024720
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 957016
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.90.0-6.mga6
+ Revision: 843893
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-5.mga5
+ Revision: 750025
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-4.mga5
+ Revision: 733012
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-3.mga5
+ Revision: 683713
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-2.mga5
+ Revision: 630861
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 585325
- update to 0.09

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-6.mga4
+ Revision: 524227
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.80.0-5.mga4
+ Revision: 430557
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-4.mga3
+ Revision: 363719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.80.0-3.mga3
+ Revision: 250442
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.80.0-2.mga2
+ Revision: 103896
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 29846
- mageia rebuild
- imported package perl-CSS-Minifier-XS

